/*
	Vegyes oldalak stíluslapja -- Zöld Sakk
	Uray M. János © 2018-2024
*/


/* index.php */
/* --------- */

.index-intro {
	max-width: 640px;
	width: 90%;
	margin: 0 auto;
}

.index-logo {
	margin-top: 10ex;
}

.site-news {
	max-width: 640px;
	width: 90%;
	margin: 0 auto;
}
.site-news > .item {
	margin-bottom: 1.5ex;
}


/* games.php */
/* --------- */

.games-thumbnail {
	text-align: center;
	margin-bottom: 2ex;
}


/* player.php (+ messages.php) */
/* --------------------------- */

.player-info {
	text-align: center;
	width: 90%;
	max-width: 400px;
	margin: 0 auto;
}

.player-info.on-messages {
	width: 100%;
	max-width: none;
}

.player-info .name {
	margin: 0 0 0.25ex;
	font-weight: bold;
	font-size: 125%;
}

.player-info .text {
	margin-top: 1ex;
	text-align: left;
}
.player-info .text p {
	margin: 0;
}

.player-info .about {
	border: solid 1px;
	padding: 0.5ex 1ex;
	margin-bottom: 0.5ex;
}


/* list*.php */
/* --------- */

.list-title {
	margin-top: 2ex;
	text-align: center;
}

table.list {
	margin: 0 auto;
}
table.list tr {
	vertical-align: top;
}

table.one-line {
	white-space: nowrap;
}

@media screen and (max-width: 768px) {
	table.table-break {
		border: 1px solid;
		border-top: none;
	}
	table.table-break thead {
		display: none;
	}
	table.table-break th {
		display: none;
	}
	table.table-break tr {
		display: block;
		text-align: left;
		border-top: 1px solid;
		padding: 4px 8px;
	}
	table.table-break td {
		display: block;
		border: none;
		padding: 0;
	}
	table.table-break td.td-inline {
		display: inline;
		margin-right: 1em;
	}
	table.table-break td.td-inline.td-break::before {
		content: '\A';
		white-space: pre;
	}
	table.table-break td.td-inline.td-right {
		float: right;
		margin-right: 0;
	}
	table.table-break td.td-thick {
		font-weight: bold;
	}
}

.selection-list {
	text-align: center;
	padding: 3px;
}
.selection-list > * {
	padding: 5px 8px;
	cursor: pointer;
}
.selection-list > .selected {
	outline: solid 2px;
	outline-offset: -2px;
	background-color: #5B7;
}
.selection-list > .selected .hide-in-selected {
	display: none;
}
.selection-list > .new {
	border-left: 5px solid #FE8;
	padding-left: 3px;
}

.player-selector {
	height: 400px;
	max-height: 80vh;
}
.player-selector > * {
	display: inline-block;
	vertical-align: top;
	-ms-overflow-y: scroll;
	overflow-y: scroll;
	height: 100%;
	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	box-sizing: border-box;
}
.player-selector > .list {
	width: 220px;
}
.player-selector > .list .controls {
	text-align: left;
}
.player-selector > .list .controls input {
	margin: 0 3px;
	width: 70%;
}
.dropdown-sort-menu {
	text-align: left;
}
.dropdown-sort-menu > .caption {
	text-align: center;
	font-weight: bold;
	border-bottom: solid 2px;
}
.dropdown-sort-menu > .selected {
	font-weight: bold;
}
.player-selector > .profile {
	padding: 1ex 0 1ex 1ex;
	width: 300px;
}
.player-selector > .profile .name {
	font-weight: bold;
	font-size: 125%;
}
.player-selector > .profile .about {
	font-size: 75%;
}

@media screen and (max-width: 560px) {
	.player-selector {
		width: 320px;
		max-width: 80vw;
	}
	.player-selector > * {
		display: block;
	}
	.player-selector > .list {
		width: 100%;
		height: 40%;
	}
	.player-selector > .profile {
		width: 100%;
		height: 60%;
	}
}

.search {
	text-align: center;
	margin-bottom: 1ex;
}
.search input {
	width: 24em;
	max-width: 90%;
}
.search .search-buttons {
	white-space: nowrap;
}

.search .info {
	margin-top: 1ex;
}
.search .info .info-box {
	text-align: center;
	border: 2px solid;
	padding: 0 1ex;
	margin: 1ex auto;
	overflow: scroll;
	overflow-x: hidden;
	overflow-y: scroll;
	width: 30em;
	max-height: 20ex;
}
.search .info .links {
	margin-top: 1ex;
}

table.search-no-result {
	margin: 0 auto;
}
table.search-no-result .left {
	text-align: right;
}
table.search-no-result .right {
	text-align: left;
}


/* messages.php */
/* ------------ */

.messages-page {
	display: table;
	margin: 0 auto;
	width: 100%;
}
.messages-page.single {
	max-width: 800px;
}
.messages-page .selection {
	display: table-cell;
	vertical-align: top;
	padding: 0 2px;
	border-right: 2px solid;
	text-align: center;
	width: 25%;
}
.messages-page .messages {
	display: table-cell;
	vertical-align: top;
	padding: 0 1em 0;
}

@media screen and (max-width: 640px) {
	.messages-page {
		display: block;
	}
	.messages-page .selection {
		display: block;
		width: 100%;
		padding: 0;
		height: 16ex;
		border-right: none;
		border-bottom: 2px solid;
		margin-bottom: 1ex;
		overflow: auto;
	}
	.messages-page .messages {
		display: block;
		width: 100%;
		padding: 0;
	}
}

.report-info {
}
.report-info .text {
	border: 1px solid;
	padding: 0.5ex 1ex;
}


/* message-box.php */
/* --------------- */

.messages-input {
	margin: 1ex 0;
	text-align: center;
}
.messages-input textarea {
	width: 100%;
	height: 6ex;
	max-height: 40ex;
}
.messages-input.with-button textarea {
	height: 10ex;
	margin-bottom: -0.5ex;
}

.message-item {
	display: table;
	padding: 3px 0 3px 8px;
}
.message-item.new {
	padding-left: 4px;
	border-left: 4px solid #FE8;
}
.message-item > * {
	display: table-cell;
	vertical-align: top;
}
.message-item .picture {
	width:  48px;
	height: 48px;
	border-width: 2px;
	margin-right: 4px;
}
.message-item .message-title {
	margin-bottom: 0.2ex;
}
.message-item .message-title .info {
	padding-left: 1.5em;
}
.message-item .message-text {
	margin-left: 0.5em;
}


/* settings.php */
/* ------------ */

.settings-page {
	max-width: 800px;
	margin: 0 auto;
}

.settings div.block {
	display: table;
	text-align: center;
	margin: 2ex auto;
}
.settings div.block p.caption {
	font-weight: bold;
	text-align: center;
}

.settings textarea.about {
	width: 100%;
	height: 10ex;
}

.settings .about-lang {
	display: inline-block;
	width: 48%;
	margin: 0 1%;
}

.settings .player-list {
	display: table-cell;
	padding: 1ex 3px 0;
}
.settings .player-list > select {
	width: 100%;
}
@media screen and (max-width: 440px) {
	.settings .player-list {
		display: block;
		margin: 0 auto;
		width: 80%;
	} 
}


/* signup.php */
/* ---------- */

.signup {
	text-align: center;
	width: 90%;
	max-width: 600px;
	margin: 5ex auto 0;
}

.signup .input-lines {
	margin-top: 1ex;
	margin-bottom: 1ex;
}
.signup .input-lines input.full {
	width: 12em;
}
.signup .input-lines input.half {
	width: 6em;
	width: calc(6em - 2px);
	margin-right: 4px;
}

.signup .terms {
	display: table;
	margin: 0 auto;
}
.signup .terms .info {
	text-align: left;
	font-size: 75%;
}
.signup .terms ul {
	margin-top: 0;
}


/* password.php */
/* ---------- */

.password {
	text-align: center;
}
.password input {
	width: 10em;
}


/* report.php */
/* ---------- */

.report {
	text-align: center;
	width: 90%;
	max-width: 640px;
	margin: 5ex auto 0;
}

.report .head-inputs {
	margin-top: 1ex;
}

.report textarea {
	width: 100%;
	height: 20ex;
	margin-top: 0.5ex;
}

.report.text {
	margin-top: 3ex;
	text-align: left;
}


/* donate.php */
/* ---------- */

.donate {
	text-align: center;
	width: 90%;
	max-width: 720px;
	margin: 5ex auto 15ex;
}

.donate .title {
	margin-top: 1ex;
}
.donate .payment {
	margin-top: 0.5ex;
	font-weight: bold;
}
.donate .payment img {
	display: block;
	margin: 0 auto;
}

.donate .text {
	margin-top: 3ex;
	text-align: left;
}


/* admin-index.php */
/* --------------- */

.admin-index {
	border: 1px solid;
	width: 640px;
	max-width: 90%;
	margin: 0 auto;
	padding: 5px;
	text-align: center;
}
.admin-index .item {
	margin: 0 1em;
}

